Search
Search wiki page text.
Request
POST
https://api.wiki.yandex.net/v1/search
Body
application/json
{
"query": "example",
"filters": {
"type": "file",
"authors": [
{
"uid": "example",
"cloud_uid": "example"
}
],
"cluster": "example",
"created_at": {
"from": "2025-01-01T00:00:00Z",
"to": "2025-01-01T00:00:00Z"
},
"modified_at": null,
"show_obsolete": false
},
"cursor": 1,
"limit": 10,
"order_by": "relevancy",
"highlight": false
}
|
Name |
Description |
|
query |
Type: string Example: |
|
cursor |
Type: integer Cursor for retrieving a page of results Default: Min value: Max value: |
|
filters |
Type: SearchFilters Search query conditions. Example
|
|
highlight |
Type: boolean Highlight text fragments that match the query Default: |
|
limit |
Type: integer Number of results per page of results Default: Min value: Max value: |
|
order_by |
All of 1 type
Default: |
SearchDocumentType
Resource type for search.
Type: string
Enum: file, page
UserIdentity
User identifier
|
Name |
Description |
|
cloud_uid |
Type: string User identifier in the cloud Example: |
|
uid |
Type: string User identifier Example: |
Example
{
"uid": "example",
"cloud_uid": "example"
}
DateInterval
|
Name |
Description |
|
from |
Type: string<date-time> Example: |
|
to |
Type: string<date-time> Example: |
Example
{
"from": "2025-01-01T00:00:00Z",
"to": "2025-01-01T00:00:00Z"
}
SearchFilters
Search query conditions.
|
Name |
Description |
|
authors |
Type: UserIdentity[] Example
|
|
cluster |
Type: string Min length: Max length: Example: |
|
created_at |
Type: DateInterval Example
|
|
modified_at |
Type: DateInterval Example
|
|
show_obsolete |
Type: boolean Default: |
|
type |
Type: SearchDocumentType Resource type for search. Enum: |
Example
{
"type": "file",
"authors": [
{
"uid": "example",
"cloud_uid": "example"
}
],
"cluster": "example",
"created_at": {
"from": "2025-01-01T00:00:00Z",
"to": "2025-01-01T00:00:00Z"
},
"modified_at": null,
"show_obsolete": false
}
OrderType
Sort order for the results.
Type: string
Enum: relevancy, creation_date, modified_date
Responses
200 OK
OK
Body
application/json
{
"results": [
{
"url": "example",
"slug": "example",
"title": "example",
"content": "example",
"type": "file",
"modified_at": "2025-01-01T00:00:00Z"
}
],
"next_cursor": "example",
"prev_cursor": "example"
}
|
Name |
Description |
|
results |
Type: SearchQueryResponseResult[] Example
|
|
next_cursor |
Type: string Example: |
|
prev_cursor |
Type: string Example: |
SearchQueryResponseResult
|
Name |
Description |
|
content |
Type: string Example: |
|
modified_at |
Type: string<date-time> Example: |
|
slug |
Type: string Example: |
|
title |
Type: string Example: |
|
type |
Type: SearchDocumentType Resource type for search. Enum: |
|
url |
Type: string Example: |
Example
{
"url": "example",
"slug": "example",
"title": "example",
"content": "example",
"type": "file",
"modified_at": "2025-01-01T00:00:00Z"
}